CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

自定义字典属性 (ActiveX)

2023-1-3 19:30| 发布者: admin| 查看: 422| 评论: 0|来自: AutoCAD

摘要: 指定要使用的自定义词典(如果有)。

指定要使用的自定义词典(如果有)。

支持的平台:仅窗口

签名

工 务 局:

object.CustomDictionary
对象

类型:首选项文件

此属性适用的对象。

属性值

只读:

类型:字符串

要使用的自定义词典。

言论

此属性包含 AutoCAD 会话的自定义词典的驱动器、路径和文件名。

例子

工 务 局:

Sub Example_CustomDictionary()
    ' This example returns the current setting of
    ' CustomDictionary. It then changes the value, and finally
    ' it resets the value back to the original setting.
    
    Dim preferences As AcadPreferences
    Dim currCustomDictionary As String
    Dim newCustomDictionary As String
    
    Set preferences = ThisDrawing.Application.preferences
    
    ' Retrieve the current CustomDictionary value
    currCustomDictionary = preferences.Files.CustomDictionary
    MsgBox "The current value for CustomDictionary is " & currCustomDictionary, vbInformation, "CustomDictionary Example"
    
    ' Change the value for CustomDictionary
    newCustomDictionary = "TestCustomDictionary.cus"
    preferences.Files.CustomDictionary = newCustomDictionary
    MsgBox "The new value for CustomDictionary is " & newCustomDictionary, vbInformation, "CustomDictionary Example"
    
    ' Reset CustomDictionary to its original value
    preferences.Files.CustomDictionary = currCustomDictionary
    MsgBox "The CustomDictionary value is reset to " & currCustomDictionary, vbInformation, "CustomDictionary Example"
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_CustomDictionary()
    ;; This example returns the current setting of
    ;; CustomDictionary. It then changes the value, and finally
    ;; it resets the value back to the original setting.
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
    
    ;; Retrieve the current CustomDictionary value
    (setq currCustomDictionary (vla-get-CustomDictionary (vla-get-Files preferences)))
    (alert (strcat "The current value for CustomDictionary is " currCustomDictionary))
    
    ;; Change the value for CustomDictionary
    (setq newCustomDictionary "TestCustomDictionary.cus")
    (vla-put-CustomDictionary (vla-get-Files preferences) newCustomDictionary)
    (alert (strcat "The new value for CustomDictionary is " newCustomDictionary))
    
    ;; Reset CustomDictionary to its original value
    (vla-put-CustomDictionary (vla-get-Files preferences) currCustomDictionary)
    (alert (strcat "The CustomDictionary value is reset to " currCustomDictionary))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 05:34

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部